aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-03-08 21:22:48 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-03-08 21:22:48 -0300
commitc4e5eac710afd783f9f2c46f3272f3931154e506 (patch)
tree78e0e9e4af8ad97fb517ccb96a6dc18b325c5d7a /share/hydractl
parent61969d022aeeaa39822758ba5eadf5a37ef4ec20 (diff)
downloadhydra-c4e5eac710afd783f9f2c46f3272f3931154e506.tar.gz
hydra-c4e5eac710afd783f9f2c46f3272f3931154e506.tar.bz2
New actions
Diffstat (limited to 'share/hydractl')
-rwxr-xr-xshare/hydractl/puppet-initialize20
-rwxr-xr-xshare/hydractl/puppet-reset-agent3
-rwxr-xr-xshare/hydractl/puppet-setup-stored24
3 files changed, 45 insertions, 2 deletions
diff --git a/share/hydractl/puppet-initialize b/share/hydractl/puppet-initialize
new file mode 100755
index 0000000..3833e96
--- /dev/null
+++ b/share/hydractl/puppet-initialize
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Make puppet agent first connection with the master node.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+puppet agent --server puppet.`facter domain` --pluginsync true --waitforcert 60 --digest-sha1 --test \
+ --ca_port 8141 --vardir /var/lib/puppet --ssldir /var/lib/puppet/ssl $*
diff --git a/share/hydractl/puppet-reset-agent b/share/hydractl/puppet-reset-agent
index 1aff2d8..2c7b724 100755
--- a/share/hydractl/puppet-reset-agent
+++ b/share/hydractl/puppet-reset-agent
@@ -18,5 +18,4 @@
/etc/init.d/puppet stop
rm -rf /var/lib/puppet/ssl
-puppet agent --server puppet.`facter domain` --waitforcert 60 --test --ca_port 8141 \
- --vardir /var/lib/puppet --ssldir /var/lib/puppet/ssl
+hydractl puppet-initialize
diff --git a/share/hydractl/puppet-setup-stored b/share/hydractl/puppet-setup-stored
new file mode 100755
index 0000000..8e04261
--- /dev/null
+++ b/share/hydractl/puppet-setup-stored
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Setup puppet stored configs.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# TODO
+echo "TODO!"